KCMAP_ADD_RGB_FUNC(3)

FUNCTION
kcmap_add_RGB_func - Register a new colourmap function.

SYNOPSIS
#include <karma_kcmap.h>

void kcmap_add_RGB_func

(CONST char *name, void (*func) (), unsigned int min_cells, unsigned int max_cells)

DESCRIPTION
This routine will register a named function which will compute RGB intensity values for a colourmap. This function is typically called in response to a call to <-kcmap_modify->.

name
    The name of the colourmap function.

func
    The function which is used to compute the RGB values. The prototype function is <-kcmap_PROTO_colour_func->.

min_cells
    The minimum number of colourcells that must be allocated for this function to work. If this is less than 2, no minimum is defined.

max_cells
    The maximum number of colourcells that may be allocated for this function to work. If this is less than 2, no maximum is defined.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/